package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	contract := beego.NewNamespace("/Contract",
		beego.NSRouter("/List", &controllers.ContractController{}, "*:Contract_List"),                 // 合同列表
		beego.NSRouter("/User_List", &controllers.ContractController{}, "*:Contract_User_List"),       // 合同列表 - 销售人员
		beego.NSRouter("/Get", &controllers.ContractController{}, "*:Contract_Get"),                   // 合同详情
		beego.NSRouter("/Approval", &controllers.ContractController{}, "*:Contract_Approval"),         // 合同详情
		beego.NSRouter("/Add", &controllers.ContractController{}, "*:Contract_Add"),                   // 添加合同
		beego.NSRouter("/Edit", &controllers.ContractController{}, "*:Contract_Edit"),                 // 编辑合同
		beego.NSRouter("/Del", &controllers.ContractController{}, "*:Contract_Del"),                   // 删除合同
		beego.NSRouter("/Product_List", &controllers.ContractController{}, "*:Contract_Product_List"), // 合同产品列表
	)
	beego.AddNamespace(contract)
}
